build-scripts/showrev.sh
changeset 4935 a727eda441be
parent 4464 fa77a6429698
--- a/build-scripts/showrev.sh	Thu Dec 30 13:21:39 2010 -0800
+++ b/build-scripts/showrev.sh	Fri Dec 31 08:40:09 2010 -0800
@@ -4,4 +4,4 @@
 
 # FIXME: this prints the tip, which isn't useful if you're on a different
 #  branch, or just not sync'd to the tip.
-hg tip --template 'hg-{rev}:{node|short}' || echo "hg-0:baadf00d"
+hg tip --template 'hg-{rev}:{node|short}' || (echo "hg-0:baadf00d"; exit 1)